ru.bitel.bgbilling.plugins.bonus.common.bean

## Class AbstractBonusBalanceBean

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

- All Implemented Interfaces:
    java.io.Serializable, Idable
  Direct Known Subclasses:
    BonusBalance, BonusCharge, BonusDetailCharge, BonusPayment

      public abstract class AbstractBonusBalanceBean
      extends Id

  Родитель классов BonusCharge, BonusPayment, BonusBalance
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Date` | `date`
    `protected java.lang.String` | `dateString`
    `protected java.math.BigDecimal` | `sum`
    `protected int` | `typeId`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBonusBalanceBean()`
    `AbstractBonusBalanceBean(int id, int typeId, java.util.Date date, java.math.BigDecimal sum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()`
    `java.lang.String` | `getDateString()`
    `java.math.BigDecimal` | `getSum()`
    `int` | `getTypeId()`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDateString(java.lang.String dateString)`
    `void` | `setSum(java.math.BigDecimal sum)`
    `void` | `setTypeId(int typeId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### typeId

          protected int typeId

    - #### date

          protected java.util.Date date

    - #### sum

          protected java.math.BigDecimal sum

    - #### dateString

          protected java.lang.String dateString

  - ### Constructor Detail

    - #### AbstractBonusBalanceBean

          public AbstractBonusBalanceBean()

    - #### AbstractBonusBalanceBean

          public AbstractBonusBalanceBean(int id,
                                          int typeId,
                                          java.util.Date date,
                                          java.math.BigDecimal sum)

  - ### Method Detail

    - #### getTypeId

          public int getTypeId()

    - #### setTypeId

          public void setTypeId(int typeId)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getDateString

          public java.lang.String getDateString()

    - #### setDateString

          public void setDateString(java.lang.String dateString)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`